﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CreateRenderTextures : MonoBehaviour
{
    public string perspectiveName;
    public Camera fovCam;
    public Camera levelCam;

    private void Awake()
    {
        if (levelCam != null)
        {
            RenderTexture cameraViewRendered = new RenderTexture(1000, 1000, 16, RenderTextureFormat.ARGB32);
            cameraViewRendered.antiAliasing = 2;
            cameraViewRendered.name = "RT_" + perspectiveName + "Level";
            cameraViewRendered.Create();
            levelCam.targetTexture = cameraViewRendered;
        }

        if (fovCam != null)
        {
            RenderTexture cameraViewRendered = new RenderTexture(1000, 1000, 16, RenderTextureFormat.ARGB32);
            cameraViewRendered.antiAliasing = 2;
            cameraViewRendered.name = "RT_" + perspectiveName + "FOV";
            cameraViewRendered.Create();
            fovCam.targetTexture = cameraViewRendered;
        }
    }
}